SDL_JoyDeviceEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_JoystickID | which

## Detailed Description

Joystick device event structure (event.jdevice.*)

SDL will send JOYSTICK_ADDED events for devices that are already plugged in during SDL_Init.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GamepadDeviceEvent

Definition at line 585 of file SDL_events.h.

## Field Documentation

## reserved

Uint32 SDL_JoyDeviceEvent::reserved

Definition at line 588 of file SDL_events.h.

## timestamp

Uint64 SDL_JoyDeviceEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 589 of file SDL_events.h.

## type

SDL_EventType SDL_JoyDeviceEvent::type

SDL_EVENT_JOYSTICK_ADDED or SDL_EVENT_JOYSTICK_REMOVED or SDL_EVENT_JOYSTICK_UPDATE_COMPLETE

Definition at line 587 of file SDL_events.h.

## which

SDL_JoystickID SDL_JoyDeviceEvent::which

The joystick instance id

Definition at line 590 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h